require 'cocoapods-vemars/gem_version'

$vemars_lib_dir ||= File.dirname(__FILE__).to_s

def vemars_require(paths = nil)
  if paths.is_a?(Array)
    paths.each { |path|
      require File.expand_path(path.to_s, $vemars_lib_dir)
    }
  elsif paths.is_a?(String)
    require File.expand_path(paths.to_s, $vemars_lib_dir)
  end
end
