module Pod
  class Component
    attr_reader :name
    attr_reader :version
    attr_reader :subspecs

    # def initialize(name, version, subspecs = [])
    #   @name = name
    #   @version = version
    #   @subspecs = subspecs
    # end

    def initialize(json)
      @name = json["name"]
      @version = json["version"]
      @subspecs = json["subspecs"]
    end

    def to_s
      puts "==================================="
      puts "Component\nname: #{@name}\nversion: #{@version}\n"
      puts "subspecs: #{@subspecs}\n"
    end
  end
end
