module Pod
  class DemoTailor
    attr_reader :components_details

    attr_writer :processedPaths

    def initialize(components_details)
      @components_details = components_details
    end

    def execute
      system("mkdir .vemars") unless Dir.exists? ".vemars"
      system("mkdir .vemars/RedDemos")
      system("mkdir .vemars/RedDemos/Base")
      system("mkdir .vemars/RedDemos/Debug")
      Dir.glob(Dir.pwd + "/DevPods/App/Base/Tasks/**").each do |name|
        next unless Dir.exists? name
        pod_name = name.split('/').last
        next if pod_name == "OneKit"
        next if @components_details.find {|com|
          com.name == pod_name
        }
        system("mv #{name} #{Dir.pwd + "/.vemars/RedDemos/Base/#{pod_name}"}")
      end
      Dir.glob(Dir.pwd + "/DevPods/App/Debug/**").each do |name|
        next unless Dir.exists? name
        pod_name = name.split('/').last
        next if pod_name == 'Cell' || pod_name == 'Public'

        next if @components_details.find {|com|
          com.name == pod_name
        }
        system("mv #{name} #{Dir.pwd + "/.vemars/RedDemos/Debug/#{pod_name}"}")
      end
      system("rm -rf .vemars/RedDemos")
    end
  end
end